org.eclnt.jsfserver.elements.componentnodes

## Class BEANPROPERTYSETTERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.BEANPROPERTYSETTERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class BEANPROPERTYSETTERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BEANPROPERTYSETTERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BEANPROPERTYSETTERNode` | `bindComment(IDynamicContentBindingObject value)`
    `BEANPROPERTYSETTERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `BEANPROPERTYSETTERNode` | `bindOnlyonce(IDynamicContentBindingObject value)`
    `BEANPROPERTYSETTERNode` | `bindProperty(IDynamicContentBindingObject value)`
    `BEANPROPERTYSETTERNode` | `bindValue(IDynamicContentBindingObject value)`
    `BEANPROPERTYSETTERNode` | `setAttributemacro(java.lang.String value)`
    `BEANPROPERTYSETTERNode` | `setComment(java.lang.String value)`
    `BEANPROPERTYSETTERNode` | `setConfiginfo(java.lang.String value)`
    `BEANPROPERTYSETTERNode` | `setId(java.lang.String value)`
    `BEANPROPERTYSETTERNode` | `setOnlyonce(java.lang.String value)`
    `BEANPROPERTYSETTERNode` | `setProperty(java.lang.String value)`
    `BEANPROPERTYSETTERNode` | `setReference(java.lang.String value)`
    `BEANPROPERTYSETTERNode` | `setValue(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BEANPROPERTYSETTERNode

          public BEANPROPERTYSETTERNode()

  - ### Method Detail

    - #### setId

          public BEANPROPERTYSETTERNode setId(java.lang.String value)

    - #### setAttributemacro

          public BEANPROPERTYSETTERNode setAttributemacro(java.lang.String value)

    - #### setComment

          public BEANPROPERTYSETTERNode setComment(java.lang.String value)

    - #### bindComment

          public BEANPROPERTYSETTERNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public BEANPROPERTYSETTERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public BEANPROPERTYSETTERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setOnlyonce

          public BEANPROPERTYSETTERNode setOnlyonce(java.lang.String value)

    - #### bindOnlyonce

          public BEANPROPERTYSETTERNode bindOnlyonce(IDynamicContentBindingObject value)

    - #### setProperty

          public BEANPROPERTYSETTERNode setProperty(java.lang.String value)

    - #### bindProperty

          public BEANPROPERTYSETTERNode bindProperty(IDynamicContentBindingObject value)

    - #### setReference

          public BEANPROPERTYSETTERNode setReference(java.lang.String value)

    - #### setValue

          public BEANPROPERTYSETTERNode setValue(java.lang.String value)

    - #### bindValue

          public BEANPROPERTYSETTERNode bindValue(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.